/* ----------------------------------------------------------------------------
 *  Copyright (C) 1995-2002 by Karim Kaschani
 *
 *  This file is part of the function calculation package FuncCalc.
 *
 *  FuncCalc is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  FuncCalc is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * ------------------------------------------------------------------------- */

#include "globals.h"





/* ----------------------------------------------------------------------------
 * Strlen - calculate string length
 *          *txt   = string to be evaluated
 +          RESULT : length of this string
 * ------------------------------------------------------------------------- */

int Strlen(char *txt)
{
  int i;

  for (i=0; *txt != '\0'; txt++)
      i++;

  return (i);
}





/* ----------------------------------------------------------------------------
 * Strncpy - copy n characters of string "source" to string "target"
 * ------------------------------------------------------------------------- */

void Strncpy(char *target, char *source, int n)
{
  int i;

  for (i=1; i<=n; i++)
      *target++ = *source++;

  *target = '\0';
}





/* ----------------------------------------------------------------------------
 * isnumber - check character "sign" for being a number
 * ------------------------------------------------------------------------- */

int isnumber(char sign)
{
    int status;

    switch (sign) {
           case '0':
           case '1':
           case '2':
           case '3':
           case '4':
           case '5':
           case '6':
           case '7':
           case '8':
           case '9':
           case '+':
           case '-':
           case '.': status = TRUE;
                     break;
           default : status = FALSE;
                     break;
    }
    return (status);
}
